> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geo-paatepisteet-paikkatiedon-kayttoon.md).

# Geo-päätepisteet paikkatiedon käyttöön

{% hint style="success" %}
GeoPard käyttää <https://www.ogc.org/> Open GeoSpatial Consortiumin tietomuotoja, kuten WMS:ää kuvien osalta ja WFS:ää vektoritiedolle. Lisäksi käytämme shapefile-tiedostoja tuontiin ja vientiin. Moottori on joustava tuomaan ja viemään tietoja missä tahansa näistä tietomuodoista. Satelliittikuvien osalta käytämme [COG:eja (pilvessä optimoidut GeoTIFFit)](https://www.cogeo.org/)
{% endhint %}

{% hint style="info" %}
WMS/WFS-pyyntöjen suorittamiseen sinun on asennettava Postman.
{% endhint %}

{% hint style="info" %}
Jokainen pyyntö on allekirjoitettava HEADERilla "Authorization" (johon tunnus pitää sijoittaa) tai URL-parametrilla "geopardApiKey " (johon käyttäjän API-avain pitää sijoittaa).
{% endhint %}

WMS API -päätepisteet on tallennettu "geoMaps"-attribuuttien alle seuraavissa entiteeteissä: "Field", "FieldSatelliteImage", "VectorAnalysisMap", "RasterAnalysisMap", "TopographyMap", "SoilDataset", "YieldDataset". Tarkista [GeoPard DataScheme.](/geopard-tutorials/fin/api-dokumentaatio/geopard-api-n-tietoskeema.md)

WFS API -päätepisteet on tallennettu "boundaryUrl"-, "zonesMapUrl"- ja "attributesUrl"-kenttiin seuraavissa entiteeteissä: "Field" ja "VectorAnalysisMap".

{% hint style="info" %}
Suosittelemme käyttämään EPSG:900913-projektiota EPSG:3857:n sijaan, jotta kuvat olisivat tarkempia.
{% endhint %}

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geo-paatepisteet-paikkatiedon-kayttoon.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
